Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A1200/A600 4xIDE Interface

AuthorTopic: IRC Progams for 68k  (Read 1760 times)

0 Members and 1 Guest are viewing this topic.

Offline my_pc_is_amiga

IRC Progams for 68k
« on: February 01, 2021, 06:12:11 AM »
Wondering what others are using for IRC or what is working for you?

AmIRC 3.6.2 hangs for me (I have a 68060 but not sure if that is the problem)
WookieChat I've had some issue and not sure if it is being maintained:
    https://github.com/coldacid/WookieChat
    I had posted the issue here thinking it was NList but looks like it could be from WookieChat:
https://github.com/amiga-mui/nlist/issues/6
 

Offline Acill

Re: IRC Progams for 68k
« Reply #1 on: February 01, 2021, 09:48:29 AM »
I use both and AmIRC the most. I've found with my 060 using the 020 version seems to be more stable for me. I've had it up and running for months on end with no restarts and no issues in the recent past even.
Proud Retired Navy Chief!

A4000T - CSPPC - Mediator
Powerbook G4 15", 17"
Powermac G5 2GHZ
AmigaOne X5000
Need Amiga recap or other services in the US? Visit my website at http://www.acill.com and take a look or on facebook at http://facebook.com/acillclassics
 

Offline mechy

Re: IRC Progams for 68k
« Reply #2 on: February 01, 2021, 01:41:06 PM »
delete any and all amirc's off your machine. turn it off,then boot it. then you can install Amirc3.5 off of aminet,then install 3.6.2 into the 3.5 drawer and it should run.

That being said amirc has always been rock solid for me,use it daily.

Offline my_pc_is_amiga

Re: IRC Progams for 68k
« Reply #3 on: February 04, 2021, 05:30:59 AM »
Thanks -- went through the 3.5 install and then added 3.6.2.   I'm using 3.9 MUI and with AmIRC, I get warning requester that "AmIRC" stack size is 8192 and needs to be 32000.   Icon tooltype has the program set to 34000.   So this looks like some internal process.   If I continue, it will crash.   Only way I've seen so far to prevent crash is to install stackattack.   Would be nice to have a fix for the program itself but guess it is unlikely.  I sent an email to   support@amirc.org back in August 2020 but didn't see any response back.
 

Offline mechy

Re: IRC Progams for 68k
« Reply #4 on: February 08, 2021, 12:57:25 AM »
it sounds like something is broken in your workbench install?
what Amiga machine is this installed on, what roms and what AmigaOS?

is this a clean AmigaOS install or something like classicWB,amikit,etc?

Are you botting from CF or?  Moving files to the amiga via fat32 cf or?
 

Offline my_pc_is_amiga

Re: IRC Progams for 68k
« Reply #5 on: February 09, 2021, 06:10:32 AM »
This is a A4000T with 3.1.4 ROMs.     I checked my setup some more...

I re-installed MUI 3.9 and then I didn't realize that I didn't have my network up and when I click on "Continue Otherwise", it crashes with 8000 0004.  With network up, no more crash.  However,  would be nice not to have that stack requester come up anymore but looks like that would need to be fixed in AmIRC.  Red mouse arrow is pointing to what I think is the task with 8192 stack size.
 

Offline mechy

Re: IRC Progams for 68k
« Reply #6 on: February 10, 2021, 06:52:09 PM »
i've never had a stack requestor like that on any Amirc installed on any of my machines,i use MUI 3.8 however, only difference i can see.
 

Offline efrenmgp

Re: IRC Progams for 68k
« Reply #7 on: February 13, 2021, 05:40:34 AM »
Actually that's the difference that matters. MUI after 3.8 requires more stack (don't know why). I've seen this with Poseidon but not with AmIRC. One alternative is downgrade to MUI 3.8, the other possibility is to use one of those programs that help you force the stack to a minimum size (StackAttack, MinStack). One of them is mentioned here: https://forum.amiga.org/index.php?topic=70206.0, the other one here: https://forum.icomp.de/index.php?thread/1230-psdstackloader-stack-problem-with-mui5/&postID=9939

I think in the end what you are seeing is because of MUI, not AmIRC (or not *just* AmIRC at least).

Personally, I went back to MUI 3.8 and both Poseidon and AmIRC are happy on my system.

Hope this helps

Regards,
Efren

« Last Edit: February 13, 2021, 05:44:14 AM by efrenmgp »